Aurora und sm4 teensy 3.6 error

I have an issu by compiling aurora with SMARTMATRIX shild v4 and teensy 3.6

I use the newest SMARTMATRIX libery and the Aurora 64x64 for teensy 3.6

When i use the animated gif Player exampel it works

Blockquote
Mehrere Bibliotheken wurden für “FastLED.h” gefunden
C:\Users\Night\Desktop\aurora\Aurora.ino:203:24: fatal error: Animations.h: No such file or directory
Benutzt: C:\Users\Night\Documents\Arduino\libraries\FastLED
compilation terminated.
Nicht benutzt: C:\Program Files (x86)\Arduino\hardware\teensy\avr\libraries\FastLED
Mehrere Bibliotheken wurden für “IRremote.h” gefunden
Benutzt: C:\Users\Night\Documents\Arduino\libraries\IRremote
Nicht benutzt: C:\Program Files (x86)\Arduino\hardware\teensy\avr\libraries\IRremote
Mehrere Bibliotheken wurden für “DS1307RTC.h” gefunden
Benutzt: C:\Users\Night\Documents\Arduino\libraries\DS1307RTC
Nicht benutzt: C:\Program Files (x86)\Arduino\hardware\teensy\avr\libraries\DS1307RTC
Mehrere Bibliotheken wurden für “TimeLib.h” gefunden
Benutzt: C:\Users\Night\Documents\Arduino\libraries\Time
Nicht benutzt: C:\Program Files (x86)\Arduino\hardware\teensy\avr\libraries\Time
Fehler beim Kompilieren für das Board Teensy 3.6

Are you trying to get the full aurora code to work, or just parts of it?

Depending on what you’re looking for, if you just want the Aurora demos, you can find them here as separate code:

And if you just want the gif decoder, you can find it here:


(it’s an updated fork of Louis’ code)

Cheers

I don’t know why you’re Animations.h file is missing, it’s part of Aurora, and should be in the same folder as the .ino

You can follow the compilation instructions here to install the libraries needed for Aurora: https://github.com/pixelmatix/aurora/wiki/Compiling